跳轉到主要內容
GET
/
v2
/
wallet
/
{chain}
/
{walletAddress}
/
pnl
錢包 - 盈虧摘要
curl --request GET \
  --url https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/pnl \
  --header 'Authorization: Bearer <token>'
{
  "avgProfitPerTradeInUsd": "402.86",
  "buyAmountInUsd": "101371192.39",
  "buys": "1515999",
  "losses": "348350",
  "realizedProfitInUsd": "802583.91",
  "realizedProfitRatio": "0.0035521324",
  "resolution": "1d",
  "sellAmountInUsd": "60369621.10",
  "sells": "1011994",
  "tokens": "15126",
  "totalCostInUsd": "225944253.64",
  "totalProfitInUsd": "1018427683.08",
  "totalProfitRatio": "4.5074290081",
  "totalTrades": "2527993",
  "unrealizedProfitInUsd": "1017625099.17",
  "unrealizedProfitRatio": "4.5038768756",
  "walletAddress": "54Pz1e35z9uoFdnxtzjp7xZQoFiofqhdayQWBMN7dsuy",
  "winRate": "0.5575",
  "wins": "438944",
  "updatedAt": "2026-02-04T11:42:50.000Z"
}

授權

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路徑參數

chain
enum<string>
必填

支援網路列表中的鏈名稱 Supported blockchain chains

可用選項:
sol,
eth,
bsc
walletAddress
string
必填

錢包地址

查詢參數

resolution
enum<string>
預設值:1d

盈虧時間粒度(1d, 7d, 30d, 或 all) PnL resolution period

可用選項:
1d,
7d,
30d,
all

回應

200 - application/json

成功回應

Wallet PnL Summary (aggregated across all tokens for a given resolution)

avgProfitPerTradeInUsd
string
必填

每筆交易平均利潤(USD 計)

範例:

"402.86"

buyAmountInUsd
string
必填

總買入金額(USD 計)

範例:

"101371192.39"

buys
string
必填

買入交易總次數

範例:

"1515999"

losses
string
必填

虧損交易次數

範例:

"348350"

realizedProfitInUsd
string
必填

已實現利潤(USD 計)

範例:

"802583.91"

realizedProfitRatio
string
必填

已實現利潤率

範例:

"0.0035521324"

resolution
string
必填

盈虧時間粒度

範例:

"1d"

sellAmountInUsd
string
必填

總賣出金額(USD 計)

範例:

"60369621.10"

sells
string
必填

賣出交易總次數

範例:

"1011994"

tokens
string
必填

交易代幣總數

範例:

"15126"

totalCostInUsd
string
必填

總成本(USD 計)

範例:

"225944253.64"

totalProfitInUsd
string
必填

總利潤(已實現 + 未實現,USD 計)

範例:

"1018427683.08"

totalProfitRatio
string
必填

總利潤率

範例:

"4.5074290081"

totalTrades
string
必填

總交易次數

範例:

"2527993"

unrealizedProfitInUsd
string
必填

未實現利潤(USD 計)

範例:

"1017625099.17"

unrealizedProfitRatio
string
必填

未實現利潤率

範例:

"4.5038768756"

walletAddress
string
必填

錢包地址

範例:

"54Pz1e35z9uoFdnxtzjp7xZQoFiofqhdayQWBMN7dsuy"

winRate
string
必填

勝率

範例:

"0.5575"

wins
string
必填

獲利交易次數

範例:

"438944"

updatedAt
string | null

最後更新時間戳

範例:

"2026-02-04T11:42:50.000Z"